Subject: RE: Question of RRO behavior

From: "Gray, Eric" <[email-masked]>
Date: Fri, 26 Jul 2002 15:31:41 -0400

David,

	Can you give an example of an appropriate action
that might be driven by RRO, even supposing it has been
correctly constructed?  My impression is that the RRO 
is intended to be used for information only and is not 
intended to incur some activity in response...

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

-----Original Message-----
From: David Charlap [mailto:[email-masked]] 
Sent: Friday, July 26, 2002 3:12 PM
To: [email-masked]'
Subject: Re: Question of RRO behavior

Ganesh Murugesan wrote:
> 
> Section 4.4.3 of RFC 3209 quotes that
> 
>    When the destination node of an RSVP session receives a Path message
>    with an RRO, this indicates that the sender node needs route
>    recording.  The destination node initiates the RRO process by adding
>    an RRO to Resv messages.  The processing mirrors that of the Path
>    messages.  The only difference is that the RRO in a Resv message
>    records the path information in the reverse direction.
> 
> 
> Since there is no MUST or SHOULD used to describe the behaviour of
> the destination on receiving a PATH message with an RRO, what is the
> expected
> behavior on the node receiving the RESV message from the destination 
> if the destination decided not to place a RRO object in the RESV message.
> 
> Should the Phop node drop the RESV message or forward the RESV message
> without an RRO,  or add a RRO to the outgoing RESV message or send a
> ResvErr downstream (with what error code/value)?

I would have it process the Resv message normally, and not add an RRO to it.

You don't want to reject the Resv, because you don't want non-support of 
RRO to break LSP setup itself.

You also don't want to add an RRO where none existed because the ingress 
node, upon reading that RRO, might think the LSP has ended on the Phop 
node instead of on the egress node, and it might take inappropriate 
action as a result.

-- David

---

From: David Charlap <[email-masked]>
Date: Fri, 26 Jul 2002 15:38:04 -0400

> intended to incur some activity in response...

It may be used to verify that the LSP is actually following the route 
specified by an ERO.

It may also be used as a part of route pinning - generate a Path without 
ERO, or with a loose ERO, and then compose a strict ERO from the RRO in 
order to pin the route in place.

-- David